#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	Mason
Summary:	Mason Perl module - high-performance, dynamic web site authoring system
Summary(pl.UTF-8):	Moduł Perla Mason - wysokowydajny system do tworzenia dynamicznych stron WWW
Name:		perl-HTML-Mason
Version:	1.58
Release:	1
Epoch:		3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c48298e79b7ecb98eb2ad24f4c27f403
URL:		http://www.masonhq.com/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 0.8
BuildRequires:	perl(Scalar::Util) >= 1.01
BuildRequires:	perl-CGI >= 2.46
BuildRequires:	perl-Cache-Cache >= 1.0
BuildRequires:	perl-Class-Container >= 0.07
BuildRequires:	perl-Exception-Class >= 1.14
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-Log-Any
BuildRequires:	perl-Params-Validate >= 0.70
BuildRequires:	perl-Test-Deep
%endif
Requires:	perl(File::Spec) >= 0.8
Requires:	perl-Class-Container >= 0.07
Requires:	perl-Exception-Class >= 1.14
Requires:	perl-Params-Validate >= 0.70
Conflicts:	perl-Apache-Filter < 1.021
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_perl	Cache::Cache HTML::Mason::Exceptions HTML::Mason::MethodMaker(read_write) Apache Apache::Constants Apache::Request

%description
Mason is a tool for building, serving and managing large web sites.
Its features make it an ideal backend for high load sites serving
dynamic content, such as online newspapers or database driven
e-commerce sites.

%description -l pl.UTF-8
Mason jest narzędziem służącym do budowania i udostępniania dużych
serwisów WWW oraz do zarządzania nimi. Ze względu na swe możliwości,
jest idealną bazą dla dużych serwisów o dynamicznie generowanej
zawartości, np. gazet internetowych czy sklepów internetowych opartych
na bazach danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{perl_vendorlib}/MasonX

rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/HTML/Mason/*.pod

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
gzip -9nf samples/README
cp -a {samples,eg} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
mv bin contrib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.md UPGRADE CREDITS contrib
%attr(755,root,root) %{_bindir}/*.pl
%{perl_vendorlib}/HTML/Mason.pm
%{perl_vendorlib}/HTML/Mason
%{_examplesdir}/%{name}-%{version}
# don't package bundle man page
%{_mandir}/man3/HTML*
%{perl_vendorlib}/MasonX
%changelog
* Thu Mar 15 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-HTML-Mason.git;a=log;h=master

* Thu Mar 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 65f782e
- up to 1.58

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 1fcef91
- up to 1.56

* Sat Jan 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> fe86366
- up to 1.54

* Thu Oct 17 2013 Jan Rękorajski <baggins@pld-linux.org> 72bdf9f
- use new noautoreq macros
- rel 2

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 115a244
- up to 1.52

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> 9065ff5
- up to 1.48

* Wed Jan 25 2012 zbyniu <zbyniu@pld-linux.org> bd1b9c0
- release 2

* Wed Oct 26 2011 Sławomir Paszkiewicz <paszczus@pld-linux.org> 82b5adb
- updated to 1.47

* Wed May 11 2011 aredridel <aredridel@pld-linux.org> 134663e
- 1.45

* Tue Oct 27 2009 amateja <amateja@pld-linux.org> 70bfc5d
- added _noautoreq perl(Apache::Request)
- release 2

* Mon Sep 14 2009 amateja <amateja@pld-linux.org> 9e3d551
- updated to 1.42

* Mon Dec 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4543d4f
- up to 1.40

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 937e4e7
- up to 1.39

* Tue Sep 11 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 84288e3
- up to 1.37

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> db2196b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 235b3fa
- converted to UTF-8

* Fri Jun 30 2006 radek <radek@pld-linux.org> 38bea5f
- release 2: do not package Bundle::*

* Tue Jun 06 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> d670857
- up to 1.33

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> ca711bd
- orphaned, outdated

* Sun Nov 07 2004 paladine <paladine@pld-linux.org> d0ad880
- updated to 1.28

